%define subrel 1

Summary: A security audit system and intrusion detection system
Name: sectool
Version: 0.9.3
Release: %mkrel 1
URL: https://hosted.fedoraproject.org/sectool/wiki/WikiStart
Source0: %{name}-%{version}.tar.bz2
Source1: sectool.log
License: GPLv2+
Group: System/Base
Requires: gettext coreutils python python-selinux python-rpm
BuildRequires: desktop-file-utils gettext intltool asciidoc librpm-devel selinux-devel
	
%package gui
Summary: GUI for sectool - security audit system and intrusion detection system
License: GPLv2+
Group: System/Base
Requires: sectool = %{version}-%{release}
Requires: pygtk2 usermode gnome-python-gnomevfs

%description
sectool is a security tool that can be used both as a security audit
and intrusion detection system. It consists of set of tests, library
and command line interface tool. Tests are sorted into groups and security
levels. Admins can run certain tests, groups or whole security levels.
The library and the tools are implemented in python and tests are
language independent.
	
%description gui
sectool-gui provides a GTK-based graphical user interface to sectool.
	
%prep
%setup -q
	
%build
%make
	
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
desktop-file-install --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --vendor=fedora \
   $RPM_BUILD_ROOT%{_datadir}/applications/sectool.desktop
	
#logrotate
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/sectool
#adjust paths in sectool.conf
sed -i 's,DSC_DIR=\(.*\),DSC_DIR=%{_sysconfdir}/sectool/tests,' $RPM_BUILD_ROOT%{_sysconfdir}/sectool/sectool.conf
sed -i 's,TESTS_DIRS=\(.*\),TESTS_DIRS=%{_datadir}/sectool/tests,' $RPM_BUILD_ROOT%{_sysconfdir}/sectool/sectool.conf
sed -i 's,TDATA_DIR_BASE=\(.*\),TDATA_DIR_BASE=%{_localstatedir}/lib/sectool,' $RPM_BUILD_ROOT%{_sysconfdir}/sectool/sectool.conf
#adjust icons path in guiOutput.py
sed -i 's,__ico_path = \(.*\),__ico_path = "%{_datadir}/pixmaps/sectool/",' $RPM_BUILD_ROOT%{_datadir}/sectool/guiOutput.py
 
#this file is just for development
rm $RPM_BUILD_ROOT/%{_datadir}/sectool/scheduler/selftest.py

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS README doc/tests_documentation.html
%config(noreplace) %{_sysconfdir}/sectool/
%config(noreplace) %{_sysconfdir}/logrotate.d/sectool
%dir %{_localstatedir}/lib/sectool
%dir %{_datadir}/sectool
%{_sbindir}/sectool
#library with tests
%{_datadir}/sectool/scheduler
%{_datadir}/sectool/tests
# command line tool
%{_datadir}/sectool/actions.py*
%{_datadir}/sectool/__init__.py*
%{_datadir}/sectool/output.py*
%{_datadir}/sectool/mailoutput.py*
%{_datadir}/sectool/sectool.py*
%{_datadir}/sectool/tuierrors.py*
%{_mandir}/man8/sectool.8.*
	
	
%files gui
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/sectool-gui
%config(noreplace) %{_sysconfdir}/security/console.apps/sectool-gui
%{_bindir}/sectool-gui
%{_datadir}/sectool/gui*.py*
%{_datadir}/sectool/sectool-gui.py*
%{_datadir}/pixmaps/sectool-gui.png
%{_datadir}/pixmaps/sectool-min.png
%{_datadir}/applications/fedora-sectool.desktop
%{_datadir}/pixmaps/sectool/*.png


%changelog

* Sat Sep 17 2011 doktor5000 <doktor5000> 0.9.3-1.1.mga1
+ Revision: 144471
- add Requires on python-rpm for sectool (mga bug#2255)
- add Requires on gnome-python-gnomevfs2 for -gui subpackage (mga bug#2255)

  + ennael <ennael>
    - add sectool package to Mageia 1 (#2255)
    - fix make
    - remove patches
    - remove patches
    - clean spec file
    - imported package sectool


* Sat Mar 12 2011 Funda Wang <fwang@mandriva.org> 0.9.3-5mdv2011.0
+ Revision: 643883
- rebuild to obsolete old packages

* Thu Feb 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.3-4
+ Revision: 637183
- fix bug with use of no longer existing /usr/bin/rpmverify (#62422)

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-3mdv2011.0
+ Revision: 614833
- the mass rebuild of 2010.1 packages

* Sun Dec 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.3-2mdv2011.0
+ Revision: 610670
- fix so that we can pass our own set of CFLAGS & LDFLAGS without breaking build
- add rpm5 support (P0)

* Wed Jan 13 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.9.3-1mdv2010.1
+ Revision: 490619
- Correct BR for selinux-devel.
- Use correct RPM groups.
- Imported sectool from fedora srpm.
- Created package structure for sectool.

